Increment numeric item's value

- « Memcached::getVersion

- Memcached::incrementByKey »

- PHP Manual
- Memcached
- Increment numeric item's value

# Memcached::increment

(PECL memcached >= 0.1.0)

Memcached::increment — Increment numeric item's value

### Description

public Memcached::increment(
string `$key`,
int `$offset` = 1,
int `$initial_value` = 0,
int `$expiry` = 0
): int|false

Memcached::increment() increments a numeric item's value by the specified `offset`. If the item's value is not numeric, an error will result. Memcached::increment() will set the item to the `initial_value` parameter if the key doesn't exist.

### Parameters

`key`

  The key of the item to increment.

`offset`

  The amount by which to increment the item's value.

`initial_value`

  The value to set the item to if it doesn't currently exist.

`expiry`

  The expiry time to set on the item.

### Return Values

Returns new item's value on success or `false` on failure.

### Examples

Example #1 Memcached::increment() example

    <?php
    $m = new Memcached();
    $m->addServer('localhost', 11211);

    $m->set('counter', 0);
    $m->increment('counter');
    $n = $m->increment('counter', 10);
    var_dump($n);

    $m->set('counter', 'abc');
    $n = $m->increment('counter');
    // ^ will fail due to item value not being numeric
    var_dump($n);
    ?>

The above example will output:

    int(11)
    bool(false)

### See Also

- Memcached::decrement() - Decrement numeric item's value
- Memcached::decrementByKey() - Decrement numeric item's value, stored on a specific server
- Memcached::incrementByKey() - Increment numeric item's value, stored on a specific server